Summary: Client side upgrade program and server side compose tool
Name: rpm-ostree
Version: 2015.5
Release: 2.atomic%{?dist}
#VCS: https://github.com/cgwalters/rpm-ostree
# This tarball is generated via "make -f Makefile.dist-packaging dist-snapshot"
Source0: rpm-ostree-%{version}.tar.xz
Patch0: 0001-postprocess-Handle-Fedora-rawhide-kernel-installatio.patch
License: LGPLv2+
URL: https://github.com/cgwalters/rpm-ostree
BuildRequires: git
# We always run autogen.sh
BuildRequires: autoconf automake libtool
# For docs
BuildRequires: gtk-doc
BuildRequires: gnome-common
BuildRequires: pkgconfig(ostree-1) >= 2015.1
BuildRequires: pkgconfig(libgsystem)
BuildRequires: pkgconfig(json-glib-1.0)
BuildRequires: pkgconfig(hawkey) >= 0.5.0
BuildRequires: pkgconfig(libhif)
BuildRequires: pkgconfig(rpm)
BuildRequires: libcap-devel

#Technically it is required only for treecompose
#Requires: /usr/bin/yum
Requires: ostree >= 2014.7

%description
This tool binds together the world of RPM packages with the OSTree
model of bootable filesystem trees.  It provides commands usable both
on client systems as well as server-side composes.

%package devel
Summary: Development headers for %{name}
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}

%description devel
The %{name}-devel package includes the header files for the %{name} library.

%prep
%autosetup -Sgit -n %{name}-%{version}

%build
env NOCONFIGURE=1 ./autogen.sh
%configure --disable-silent-rules --enable-gtk-doc
make %{?_smp_mflags}

%install
make install DESTDIR=$RPM_BUILD_ROOT INSTALL="install -p -c"
find $RPM_BUILD_ROOT -name '*.la' -delete

%files
%doc COPYING README.md
%{_bindir}/rpm-ostree
%{_libdir}/%{name}/
%{_mandir}/man1/*.gz
%{_libdir}/*.so.1*
%{_libdir}/girepository-1.0/*.typelib

%files devel
%{_libdir}/lib*.so
%{_includedir}/*
%{_libdir}/pkgconfig/*
%dir %{_datadir}/gtk-doc/html/*
%{_datadir}/gtk-doc/html/*
%{_datadir}/gir-1.0/*-1.0.gir

%changelog
* Mon May 18 2015 Colin Walters <walters@redhat.com> - 2015.5-2.atomic
- Rebuild against latest libhif

* Fri May 15 2015 Colin Walters <walters@redhat.com> - 2015.5-1.atomic
- Rebase to Fedora rawhide

* Wed May 13 2015 Colin Walters <walters@redhat.com> - 2015.3-4.atomic
- Drop /usr/bin/atomic like we did for -client; this fixes installing
  with the new atomic package.

* Fri Apr 17 2015 Colin Walters <walters@redhat.com> - 2015.3-3.atomic
- Backport client side GPG verification status patches

* Fri Jan 23 2015 Colin Walters <walters@redhat.com> - 2015.3-2.atomic
- New upstream release

* Fri Jan 09 2015 Colin Walters <walters@redhat.com> - 2015.2-2.atomic
- New upstream release

* Fri Dec 19 2014 Colin Walters <walters@redhat.com> - 2014.114-2.atomic
- Rebuild for 7.1

* Fri Dec 05 2014 Colin Walters <walters@redhat.com> - 2014.114-1.atomic
- New upstream release

* Thu Nov 20 2014 Colin Walters <walters@redhat.com> - 2014.111-2.atomic
- New upstream release

* Fri Oct 24 2014 Colin Walters <walters@redhat.com> - 2014.109-1.atomic
- New upstream release

* Thu Oct 16 2014 Colin Walters <walters@redhat.com>
- New upstream version

* Tue Oct 07 2014 Colin Walters <walters@redhat.com> - 2014.107-2.atomic
- New upstream version

* Mon Sep 29 2014 Colin Walters <walters@redhat.com> - 2014.106-4.atomic
- rebuilt

* Mon Sep 29 2014 Colin Walters <walters@redhat.com> - 2014.106-3.atomic
- rebuilt

* Tue Sep 09 2014 Colin Walters <walters@redhat.com> - 2014.106-2.atomic
- New upstream release
- BR/R OSTree 2014.6

* Fri Aug 08 2014 Colin Walters <walters@redhat.com> - 2014.105-2.atomic
- New upstream release

* Mon Jul 14 2014 Colin Walters <walters@redhat.com>
- New upstream version

* Fri May 23 2014 Colin Walters <walters@redhat.com>
- Previous autobuilder code is split off into rpm-ostree-toolbox

* Sat Mar 22 2014 Colin Walters <walters@verbum.org> - 2014.6.3.g5707fa7-1
- New git snapshot, add rpm-ostree-sign to file list

* Sat Mar 22 2014 Colin Walters <walters@verbum.org> - 2014.6-1
- New upstream version

* Fri Mar 07 2014 Colin Walters <walters@verbum.org> - 2014.5-1
- Initial package

